DPTTRSV(l)

NAME
DPTTRSV - solve one of the triangular systems L**T* X = B, or L * X = B,

SYNOPSIS

SUBROUTINE DPTTRSV(
    TRANS, N, NRHS, D, E, B, LDB, INFO )

CHARACTER
    TRANS

INTEGER
    INFO, LDB, N, NRHS

DOUBLE
    PRECISION D( * )

DOUBLE
    PRECISION B( LDB, * ), E( * )

PURPOSE
DPTTRSV solves one of the triangular systems
   L**T* X = B, or L * X = B, where L is the Cholesky factor of a Hermitian positive
definite tridiagonal matrix A such that
A = L*D*L**H (computed by DPTTRF).

ARGUMENTS

TRANS   (input) CHARACTER
    Specifies the form of the system of equations:
    = 'N': L * X = B (No transpose)
    = 'T': L**T * X = B (Transpose)

N       (input) INTEGER
    The order of the tridiagonal matrix A. N >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.

D       (input) REAL array, dimension (N)
    The n diagonal elements of the diagonal matrix D from the factorization computed by DPTTRF.

E       (input) COMPLEX array, dimension (N-1)
    The (n-1) off-diagonal elements of the unit bidiagonal factor U or L from the factorization computed by DPTTRF (see UPLO).

B       (input/output) COMPLEX array, dimension (LDB,NRHS)
    On entry, the right hand side matrix B. On exit, the solution matrix X.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value